/****************************************************************************
  PROJECT: MusixTeX PreProcessor
  FILE   : getoptin.c
  AUTHOR : J. C. Nieuwenhuizen

  copyright (c) FlowerSoft 1995
--*/

#include "getoptin.h"

#if 1 /* ndef __GNUC__ */

/* #include "getopt.c" */
/* #include "getopt1.c" */
#ifdef const
#undef const
#endif

#endif /* 1 not __GNUC__ */

#if 1 /* __STDC__ */
int gnuGetopt( int argc, char* const argv[], const char* shortopts )
#else
int gnuGetopt( int argc, char** argv, char* shortopts )
#endif
{
    return getopt( argc, argv, shortopts );
}

#if 1 /* __STDC__ */
int gnuGetoptLong( int argc, char* const argv[], const char* options,
                   const struct option* long_options, int* opt_index )
#else
int gnuGetoptLong( int argc, char** argv, char* shortopts,
                   struct option* long_options, int* opt_index )
#endif
{
    return getopt_long( argc, argv, options, long_options, opt_index );
}
